Package com.beust.jcommander.converters

# Class EnumConverter<T extends Enum<T>>

java.lang.Object
com.beust.jcommander.converters.EnumConverter<T>

Type Parameters:
  `T` - the enum type

All Implemented Interfaces:
  `IStringConverter<T>`

public class EnumConverter<T extends Enum<T>> extends Object implements IStringConverter<T>
A converter to parse enums

## Constructor Summary

Constructors
Constructor
Description
`EnumConverter(String optionName, Class<T> clazz)`
Constructs a new converter.

## Method Summary

Modifier and Type
Method
Description
`T`
`convert(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EnumConverter

public EnumConverter(String optionName, Class<T> clazz)
Constructs a new converter.

Parameters:
  `optionName` - the option name for error reporting
  `clazz` - the enum class

## Method Details

### convert

public T convert(String value)

Specified by:
  `convert` in interface `IStringConverter<T extends Enum<T>>`
Returns:
  an object of type <T> created from the parameter value.